/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 1/1/2003
 * Description : implementation of class s_anafrase
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef S_ANAFRASE_H
#define S_ANAFRASE_H

#include<qfile.h>
#include<qtextstream.h>
#include<qstring.h>
#include<stdlib.h>
#include<QVector>
#include<time.h>


class s_anafrase
{
    QFile fd;
    int giusto,pos_f,pos_i;
    QTextStream *t;
    QVector<QString> list_f,list_s;
    QVector<int> check;
    int error;
public:
    s_anafrase(QString path);
    ~s_anafrase();
    void frase(QString &frase);
    int esatto();
    int ipotesi(QString &ipotesi);
    int errore();
};

#endif //S_ANAFRASE_H
