/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 13-8-2002
 * Description : Lessico implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef FORM7_H
#define FORM7_H

#include <QtGui/QDialog>

namespace Ui
{
    class Form7;
}

struct privateForm7;
class QLineEdit;
class QDropEvent;

class Form7 : public QDialog
{
    Q_OBJECT

public:
    Form7(QWidget *parent = 0);
    ~Form7();

    void init();

private:
    Ui::Form7 *ui;
    privateForm7 *d;

protected Q_SLOTS:
    void azzera(); 
    void esci(); 
    void avanti(); 
    void primo();
    void secondo();
    void terzo();

};

#endif // FORM7_H

