#ifndef exercise_H
#define exercise_H

#include <string>
#include <vector>
#include "expression.h"
#include "z.h"

using namespace std;


class Exercise
{
private:
	vector<string> executed;
	Expression current;
public:
	Exercise(string exp); 
	Exercise() {};
	~Exercise() {;}
	void setExpr(string exp);
	void loadStep(vector<string> step);
	int execNextStep(Z &res, string &newExpr);
	int execStep(int pos, Z &res);
	void expr(string &text);
	void upLoadExpr(vector<string> &step);
	bool isDone();


};

#endif
