/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 4/6/2003
 * Description : Uso H implementation
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef DIALOGPLAY_H
#define DIALOGPLAY_H

#include <QDialog>
#include "s_diff.h"

namespace Ui
{
    class DialogPlay;
}


class DialogPlay : public QDialog
{
    Q_OBJECT
    public:
        DialogPlay(QWidget *parent = 0);
        ~DialogPlay();
        void game(QString type, bool how);
    private:
        Ui::DialogPlay *ui;
        s_diff* pdiff;
        bool automatico;
    public slots:
        void avanti();
        void destro();
        void azzera();
        void sinistro();
};

#endif // DIALOGPLAY_H
