/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 1/1/2003
 * Description : implementation of class s_anafrase
 *
 * Copyright 2003-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include"s_anafrase.h"

s_anafrase::s_anafrase(QString path)
{

    QString s;
    fd.setFileName(path);
    if ( fd.open(QIODevice::ReadOnly) )
    {
        t= new QTextStream( &fd );
        while ( !t->atEnd() )
        {
            s = t->readLine();

            if (!t->atEnd() )
            {
                list_f.push_back(s);
                for (int j=0;j<8;s = t->readLine(), list_s.push_back(s),j++);

            }


        }
        error=0;
        for (int i=0;i<(int)list_f.size();check.push_back(0),i++);
        pos_f = -1;
    }
    else
        error=-1;


    srand(time(0));
}

s_anafrase::~s_anafrase()
{
    fd.close();
}

// return possible solutions and question

void s_anafrase::frase(QString &frase)
{
    QString s,dum;
    int j;


    //random number [0,n_frasi]
    j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
    if (check[j]!=0)
    {
        check[j]=0;
        j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
    }
    check[j]=1;
    // read frase
    frase=list_f[j];
    pos_f=j;
    pos_i=0;
}
int s_anafrase::ipotesi(QString &ipotesi)
{
    QString dum,s;

    // read pos_i ipotesis
    if (pos_i<8)
    {
        s = list_s[pos_f*8+pos_i++];
        ipotesi=s.section(',',0,0);

        // read True, False, Fuzzy

        dum=s.section(',',1,1);
        giusto=dum.toInt();
        s = list_s[pos_f*8+pos_i];

        if (s.section(',',0,0)=="vuoto")
        {
            pos_f=-1;
            pos_i=0;
            return (-1);
        }
        else
            return (pos_i);
    }
    return (-1);
}

// return the right solution

int s_anafrase::esatto()
{
    return giusto;
}

int s_anafrase::errore()
{
    return error;
}

