/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 30/10/2002
 * Description : Anagrammi implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#ifndef FORM1_H
#define FORM1_H

#include <QtGui/QDialog>
#include <QLabel>

namespace Ui
{
    class Form1;
}

struct privateForm;
class QLineEdit;
class QDropEvent;

class Form1 : public QDialog
{
    Q_OBJECT

public:
    Form1(QWidget *parent = 0);
    ~Form1();

    void init();

private:
    Ui::Form1 *ui;
    privateForm *d;



protected Q_SLOTS:
    void level1();
    void level2();
    void level3();
    void level4();
    void esci();
    void info();
    void azzera();
    void avanti();
    void action_drop(QLabel *a, QLabel *b);
   // void check_text ( const QString & text );

};

#endif // FORM1_H

