/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 13-8-2002
 * Description : Difficolta' ortografiche implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include"accoppiamenti.h"

accoppiamenti::accoppiamenti(QString path,int n)
{
	QString s;

        fd.setFileName(path);

	n_coppie=n;

  if ( fd.open(QIODevice::ReadOnly) )
  {
    t= new QTextStream( &fd );
	  while( !t->atEnd() )
		{
			s = t->readLine();

			list_f.push_back(s.section(',',0,0));
			list_s.push_back(s.section(',',1,1));
		}
		error=0;
                for (int i=0;i<list_f.size();check.push_back(0),risposte.push_back(""),frasi.push_back(""),i++) ;
	}
	else
		error=-1;

	srand(time(0));
}

accoppiamenti::~accoppiamenti()
{
	fd.close();
}

// return n_coppie of  solutions and questions

void accoppiamenti::frase(QString *a,QString *b)
{
	QString dum;
	int j,k;
	bool trovato=false;


	for(k=0;k < 9;)
	{
		j=(int) (((double)list_f.size())*rand()/(RAND_MAX));


		while (!trovato)
		{
			if(check[j]!=0)
			{
				check[j]=0;
				j=(int) (((double)list_f.size())*rand()/(RAND_MAX));
			}
			else
			{
				trovato=true;
				check[j]=1;
			}
		}

		check[j]=1;

		a[k]=list_f[j];

		b[k++] = list_s[j];

	}

	for(k=0;k < 9;k++)
	{
		j=(int) ((double)n_coppie*rand()/(RAND_MAX));

		// caos in the vector
		dum=a[k];
		a[k]=a[j];
		a[j]=dum;

		j=(int) ((double)n_coppie *rand()/(RAND_MAX));
		dum=b[k];
		b[k]=b[j];
		b[j]=dum;
	}
}

// if a->b return >= 0

int accoppiamenti::esatto(QString a,QString b)
{
	for(int i=0;i< list_f.size();i++)
		if(a==list_f[i])
			if(b==list_s[i])
				return (i);
	return(-1);
}


int accoppiamenti::errore()
{
	return error;
}

