/* ============================================================
 *
 * This file is a part of educazionik project
 * http://educazionik.sourceforge.net/
 *
 * Date        : 13-8-2002
 * Description : Lessico implementation
 *
 * Copyright 2002-2009 by Nicola De Filippo <nicola@nicoladefilippo.it>
 * Copyright 2009      by Angelo Naselli    <anaselli at linux dot it>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#include"sinonimicontrari.h"

sinonimiContrari::sinonimiContrari(QString path,QString path1)
{
    sinonimi=new accoppiamenti(path,1);
    contrari = new accoppiamenti(path1,1);
    srand(time(0));
}

sinonimiContrari::~sinonimiContrari()
{
}

// return questions

void sinonimiContrari::frase(QString *a,QString *b)
{
    int j;

    j=(int) ((double)2*rand()/(RAND_MAX));
	
    switch(j)
    {
    case 0:
	sinonimi->frase(a,b);
	solution = 1; // first file
	break;
    case 1:
	contrari->frase(a,b);
	solution = 2; // second file
	break;
    default:
	sinonimi->frase(a,b);
	solution = 1;
	break;
    }
    
}

int sinonimiContrari::esatto(char n_file)
{
    if(solution == n_file)
	return (0);
    return(-1);
}


int sinonimiContrari::errore()
{
    if(sinonimi->errore() ==-1 || contrari->errore()==-1)
        return (-1);
}
