#ifndef SCANBUTTON_H
#define SCANBUTTON_H
#include <QPushButton>
#include <QColor>
#include <QPalette>

class QPushButtonScansion : public QPushButton
{
    Q_OBJECT
	public:
    		QPushButtonScansion(QWidget *parent = 0);
		QPushButtonScansion(const QString & text, QWidget *parent = 0);
		void setScansionColor(QColor color);
		//void setNoScansionColor(QColor color);
	protected:
    		void focusOutEvent ( QFocusEvent * event );
		void focusInEvent ( QFocusEvent * event );
	private:
		QPalette scansionPalette;
    		QPalette noScansionPalette;
};
#endif
