#ifndef simbol_H
#define simbol_H



/**
  * class operation
  */

class Simbol
{
public:

  // Constructors/Destructors
  
  /**
   * Empty Constructor
   */
  Simbol (char s, int peso );
	Simbol (){m_simbolo = '\0'; m_priorita = -1; }
  /**
   * Empty Destructor
   */
   ~Simbol ( ) {};

   /**
   * Setta la priorita'
   * @param  peso Il valore della priorita'
   */

	void setOperation(char op);

	void setPriority (int peso ) ;

	bool operator == (Simbol a);

	char sign() {return m_simbolo;}

  /**
   * Restiruisce la priorita'
   * @return int
   */
  int priority ( );

protected:

  


private:

  // il simbolo
  char m_simbolo;
  // La priorità
  int m_priorita;

};





#endif
